/$ EvalFMerge
// Carlos Baquero cbm@di.uminho.pt
//
lfind(string line)
{
  int i; 
  for(i=0; i<lp && lstate[i]!=line; i++);
  if(i==lp) return(-1); else return(i);   
}
merge(string name)
{
   int i,w,v;
   string n;
   w=gets("Confidence level [1-10]");
   if(w==0) { alert("Merge canceled"); return; }
   mmfind("<data,eval,"+ver+"," + name + ">");
    lbackup(); lp=0; mmgetl();
    while(!mmeof()) { lstate[lp]= mmgetl(); lint[lp++]= mmgetl(); }
    mmdelete(); 

    mmfind("*<data,eval,"+ver+"," + name + ">"); mmgetl();
    while(!mmeof())
   { 
      n=mmgetl();
      v=mmgetl();
      i=lfind(n);
      if(i==-1)
      {
         lstate[lp]=n; lint[lp++]=v;
      }
      else
      {
         if (v!=0) lint[i]=(lint[i]*10+v*w)/(10+w);
      }
   }
    mmdelete(); 

    mmnew();
    mmputs("<data,eval,"+ver+"," + name + ">\n");
    for(i=0; i<lp; i++) { mmputs(lstate[i]+"\n"); mmputs(lint[i]+"\n");
     }
     mmclose();
     lrestore(); 
     alert("Merged");  
}
